Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4577)
@@ -1020,13 +1044,13 @@
 !>                   value=1_1 )
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_def_att_int8( file_name, variable_name, attribute_name, value, append ) &
+ FUNCTION dom_def_att_int8( file_name, variable_name, attribute_name, value, append )              &
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_int8'  !< name of routine
+
+    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  file_name               !< name of file
-    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN), OPTIONAL ::  variable_name           !< name of variable
     CHARACTER(LEN=charlen)                      ::  variable_name_internal  !< internal copy of variable_name
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_int8'  !< name of routine
 
     INTEGER(KIND=1), INTENT(IN) ::  value  !< attribute value
@@ -1051,8 +1075,8 @@
        IF ( append )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                             &
-                                 ': numeric attribute cannot be appended ' //         &
-                                 '(attribute "' // TRIM( attribute_name ) //          &
-                                 '", variable "' // TRIM( variable_name_internal ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': numeric attribute cannot be appended ' //                      &
+                                 '(attribute "' // TRIM( attribute_name ) //                       &
+                                 '", variable "' // TRIM( variable_name_internal ) //              &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -1066,7 +1090,7 @@
        attribute%value_int8 = value
 
-       return_value = save_attribute_in_database( file_name=TRIM( file_name ), &
-                         variable_name=TRIM( variable_name_internal ),         &
-                         attribute=attribute, append=append_internal )
+       return_value = save_attribute_in_database( file_name=TRIM( file_name ),                     &
+                                                  variable_name=TRIM( variable_name_internal ),    &
+                                                  attribute=attribute, append=append_internal )
     ENDIF
 
@@ -1092,13 +1116,13 @@
 !>                   value=1_2 )
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_def_att_int16( file_name, variable_name, attribute_name, value, append ) &
+ FUNCTION dom_def_att_int16( file_name, variable_name, attribute_name, value, append )             &
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_int16'  !< name of routine
+
+    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  file_name               !< name of file
-    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN), OPTIONAL ::  variable_name           !< name of variable
     CHARACTER(LEN=charlen)                      ::  variable_name_internal  !< internal copy of variable_name
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_int16'  !< name of routine
 
     INTEGER(KIND=2), INTENT(IN) ::  value  !< attribute value
@@ -1123,8 +1147,8 @@
        IF ( append )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                             &
-                                 ': numeric attribute cannot be appended ' //         &
-                                 '(attribute "' // TRIM( attribute_name ) //          &
-                                 '", variable "' // TRIM( variable_name_internal ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': numeric attribute cannot be appended ' //                      &
+                                 '(attribute "' // TRIM( attribute_name ) //                       &
+                                 '", variable "' // TRIM( variable_name_internal ) //              &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -1138,7 +1162,7 @@
        attribute%value_int16 = value
 
-       return_value = save_attribute_in_database( file_name=TRIM( file_name ), &
-                         variable_name=TRIM( variable_name_internal ),         &
-                         attribute=attribute, append=append_internal )
+       return_value = save_attribute_in_database( file_name=TRIM( file_name ),                     &
+                                                  variable_name=TRIM( variable_name_internal ),    &
+                                                  attribute=attribute, append=append_internal )
     ENDIF
 
@@ -1164,13 +1188,14 @@
 !>                   value=1_4 )
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_def_att_int32( file_name, variable_name, attribute_name, value, append ) &
+ FUNCTION dom_def_att_int32( file_name, variable_name, attribute_name, value, append )             &
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_int32'  !< name of routine
+
+
+    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  file_name               !< name of file
-    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN), OPTIONAL ::  variable_name           !< name of variable
     CHARACTER(LEN=charlen)                      ::  variable_name_internal  !< internal copy of variable_name
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_int32'  !< name of routine
 
     INTEGER(KIND=4), INTENT(IN) ::  value  !< attribute value
@@ -1195,8 +1220,8 @@
        IF ( append )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                             &
-                                 ': numeric attribute cannot be appended ' //         &
-                                 '(attribute "' // TRIM( attribute_name ) //          &
-                                 '", variable "' // TRIM( variable_name_internal ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': numeric attribute cannot be appended ' //                      &
+                                 '(attribute "' // TRIM( attribute_name ) //                       &
+                                 '", variable "' // TRIM( variable_name_internal ) //              &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -1210,7 +1235,7 @@
        attribute%value_int32 = value
 
-       return_value = save_attribute_in_database( file_name=TRIM( file_name ), &
-                         variable_name=TRIM( variable_name_internal ),         &
-                         attribute=attribute, append=append_internal )
+       return_value = save_attribute_in_database( file_name=TRIM( file_name ),                     &
+                                                  variable_name=TRIM( variable_name_internal ),    &
+                                                  attribute=attribute, append=append_internal )
     ENDIF
 
@@ -1236,13 +1261,13 @@
 !>                   value=1.0_4 )
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_def_att_real32( file_name, variable_name, attribute_name, value, append ) &
+ FUNCTION dom_def_att_real32( file_name, variable_name, attribute_name, value, append )            &
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_real32'  !< name of routine
+
+    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  file_name               !< name of file
-    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN), OPTIONAL ::  variable_name           !< name of variable
     CHARACTER(LEN=charlen)                      ::  variable_name_internal  !< internal copy of variable_name
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_real32'  !< name of routine
 
     INTEGER ::  return_value  !< return value
@@ -1267,8 +1292,8 @@
        IF ( append )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                             &
-                                 ': numeric attribute cannot be appended ' //         &
-                                 '(attribute "' // TRIM( attribute_name ) //          &
-                                 '", variable "' // TRIM( variable_name_internal ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': numeric attribute cannot be appended ' //                      &
+                                 '(attribute "' // TRIM( attribute_name ) //                       &
+                                 '", variable "' // TRIM( variable_name_internal ) //              &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -1282,7 +1307,7 @@
        attribute%value_real32 = value
 
-       return_value = save_attribute_in_database( file_name=TRIM( file_name ), &
-                         variable_name=TRIM( variable_name_internal ),         &
-                         attribute=attribute, append=append_internal )
+       return_value = save_attribute_in_database( file_name=TRIM( file_name ),                     &
+                                                  variable_name=TRIM( variable_name_internal ),    &
+                                                  attribute=attribute, append=append_internal )
     ENDIF
 
@@ -1308,13 +1333,13 @@
 !>                   value=1.0_8 )
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_def_att_real64( file_name, variable_name, attribute_name, value, append ) &
+ FUNCTION dom_def_att_real64( file_name, variable_name, attribute_name, value, append )            &
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_real64'  !< name of routine
+
+    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  file_name               !< name of file
-    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN), OPTIONAL ::  variable_name           !< name of variable
     CHARACTER(LEN=charlen)                      ::  variable_name_internal  !< internal copy of variable_name
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_att_real64'  !< name of routine
 
     INTEGER ::  return_value  !< return value
@@ -1339,8 +1364,8 @@
        IF ( append )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                             &
-                                 ': numeric attribute cannot be appended ' //         &
-                                 '(attribute "' // TRIM( attribute_name ) //          &
-                                 '", variable "' // TRIM( variable_name_internal ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': numeric attribute cannot be appended ' //                      &
+                                 '(attribute "' // TRIM( attribute_name ) //                       &
+                                 '", variable "' // TRIM( variable_name_internal ) //              &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -1354,7 +1379,7 @@
        attribute%value_real64 = value
 
-       return_value = save_attribute_in_database( file_name=TRIM( file_name ), &
-                         variable_name=TRIM( variable_name_internal ),         &
-                         attribute=attribute, append=append_internal )
+       return_value = save_attribute_in_database( file_name=TRIM( file_name ),                     &
+                                                  variable_name=TRIM( variable_name_internal ),    &
+                                                  attribute=attribute, append=append_internal )
     ENDIF
 
@@ -1408,20 +1433,19 @@
           IF ( files(f)%is_init )  CYCLE
 
-          CALL internal_message( 'debug', routine_name // ': initialize file "' // &
+          CALL internal_message( 'debug', routine_name // ': initialize file "' //                 &
                                  TRIM( files(f)%name ) // '"' )
 !
 !--       Open file
-          CALL open_output_file( files(f)%format, files(f)%name, files(f)%id, &
+          CALL open_output_file( files(f)%format, files(f)%name, files(f)%id,                      &
                                  return_value=return_value )
 !
 !--       Initialize file header:
 !--       define dimensions and variables and write attributes
-          IF ( return_value == 0 )  &
-             CALL init_file_header( files(f), return_value=return_value )
+          IF ( return_value == 0 )  CALL init_file_header( files(f), return_value=return_value )
 !
 !--       End file definition
-          IF ( return_value == 0 )  &
-             CALL stop_file_header_definition( files(f)%format, files(f)%id, &
-                                               files(f)%name, return_value )
+          IF ( return_value == 0 )                                                                 &
+             CALL stop_file_header_definition( files(f)%format, files(f)%id, files(f)%name,        &
+                                               return_value )
 
           IF ( return_value == 0 )  THEN
@@ -1433,71 +1457,71 @@
              DO  d = 1, SIZE( files(f)%dimensions )
                 IF ( ALLOCATED( files(f)%dimensions(d)%values_int8 ) )  THEN
-                   ALLOCATE( values_int8(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_int8(files(f)%dimensions(d)%bounds(1):                         &
                                          files(f)%dimensions(d)%bounds(2)) )
                    values_int8 = files(f)%dimensions(d)%values_int8
                    values_int8_pointer => values_int8
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_int8_1d=values_int8_pointer )
                    DEALLOCATE( values_int8 )
                 ELSEIF ( ALLOCATED( files(f)%dimensions(d)%values_int16 ) )  THEN
-                   ALLOCATE( values_int16(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_int16(files(f)%dimensions(d)%bounds(1):                        &
                                           files(f)%dimensions(d)%bounds(2)) )
                    values_int16 = files(f)%dimensions(d)%values_int16
                    values_int16_pointer => values_int16
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_int16_1d=values_int16_pointer )
                    DEALLOCATE( values_int16 )
                 ELSEIF ( ALLOCATED( files(f)%dimensions(d)%values_int32 ) )  THEN
-                   ALLOCATE( values_int32(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_int32(files(f)%dimensions(d)%bounds(1):                        &
                                           files(f)%dimensions(d)%bounds(2)) )
                    values_int32 = files(f)%dimensions(d)%values_int32
                    values_int32_pointer => values_int32
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_int32_1d=values_int32_pointer )
                    DEALLOCATE( values_int32 )
                 ELSEIF ( ALLOCATED( files(f)%dimensions(d)%values_intwp ) )  THEN
-                   ALLOCATE( values_intwp(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_intwp(files(f)%dimensions(d)%bounds(1):                        &
                                           files(f)%dimensions(d)%bounds(2)) )
                    values_intwp = files(f)%dimensions(d)%values_intwp
                    values_intwp_pointer => values_intwp
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_intwp_1d=values_intwp_pointer )
                    DEALLOCATE( values_intwp )
                 ELSEIF ( ALLOCATED( files(f)%dimensions(d)%values_real32 ) )  THEN
-                   ALLOCATE( values_real32(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_real32(files(f)%dimensions(d)%bounds(1):                       &
                                            files(f)%dimensions(d)%bounds(2)) )
                    values_real32 = files(f)%dimensions(d)%values_real32
                    values_real32_pointer => values_real32
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_real32_1d=values_real32_pointer )
                    DEALLOCATE( values_real32 )
                 ELSEIF ( ALLOCATED( files(f)%dimensions(d)%values_real64 ) )  THEN
-                   ALLOCATE( values_real64(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_real64(files(f)%dimensions(d)%bounds(1):                       &
                                            files(f)%dimensions(d)%bounds(2)) )
                    values_real64 = files(f)%dimensions(d)%values_real64
                    values_real64_pointer => values_real64
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_real64_1d=values_real64_pointer )
                    DEALLOCATE( values_real64 )
                 ELSEIF ( ALLOCATED( files(f)%dimensions(d)%values_realwp ) )  THEN
-                   ALLOCATE( values_realwp(files(f)%dimensions(d)%bounds(1): &
+                   ALLOCATE( values_realwp(files(f)%dimensions(d)%bounds(1):                       &
                                            files(f)%dimensions(d)%bounds(2)) )
                    values_realwp = files(f)%dimensions(d)%values_realwp
                    values_realwp_pointer => values_realwp
-                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name, &
-                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),    &
-                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),    &
+                   return_value = dom_write_var( files(f)%name, files(f)%dimensions(d)%name,       &
+                                     bounds_start=(/ files(f)%dimensions(d)%bounds(1) /),          &
+                                     bounds_end  =(/ files(f)%dimensions(d)%bounds(2) /),          &
                                      values_realwp_1d=values_realwp_pointer )
                    DEALLOCATE( values_realwp )
@@ -1538,20 +1562,20 @@
 !>       chosen, the values are written to file as given in the 'dom_write_var' call.
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_write_var( file_name, variable_name, bounds_start, bounds_end,         &
-             values_char_0d,   values_char_1d,   values_char_2d,   values_char_3d,   &
-             values_int8_0d,   values_int8_1d,   values_int8_2d,   values_int8_3d,   &
-             values_int16_0d,  values_int16_1d,  values_int16_2d,  values_int16_3d,  &
-             values_int32_0d,  values_int32_1d,  values_int32_2d,  values_int32_3d,  &
-             values_intwp_0d,  values_intwp_1d,  values_intwp_2d,  values_intwp_3d,  &
-             values_real32_0d, values_real32_1d, values_real32_2d, values_real32_3d, &
-             values_real64_0d, values_real64_1d, values_real64_2d, values_real64_3d, &
-             values_realwp_0d, values_realwp_1d, values_realwp_2d, values_realwp_3d  &
+ FUNCTION dom_write_var( file_name, variable_name, bounds_start, bounds_end,                       &
+             values_char_0d,   values_char_1d,   values_char_2d,   values_char_3d,                 &
+             values_int8_0d,   values_int8_1d,   values_int8_2d,   values_int8_3d,                 &
+             values_int16_0d,  values_int16_1d,  values_int16_2d,  values_int16_3d,                &
+             values_int32_0d,  values_int32_1d,  values_int32_2d,  values_int32_3d,                &
+             values_intwp_0d,  values_intwp_1d,  values_intwp_2d,  values_intwp_3d,                &
+             values_real32_0d, values_real32_1d, values_real32_2d, values_real32_3d,               &
+             values_real64_0d, values_real64_1d, values_real64_2d, values_real64_3d,               &
+             values_realwp_0d, values_realwp_1d, values_realwp_2d, values_realwp_3d                &
              ) RESULT( return_value )
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_write_var'  !< name of routine
 
     CHARACTER(LEN=charlen)            ::  file_format    !< file format chosen for file
     CHARACTER(LEN=*),      INTENT(IN) ::  file_name      !< name of file
     CHARACTER(LEN=*),      INTENT(IN) ::  variable_name  !< name of variable
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_write_var'  !< name of routine
 
     CHARACTER(LEN=1), POINTER, INTENT(IN), OPTIONAL                   ::  values_char_0d           !< output variable
@@ -1579,4 +1603,5 @@
     INTEGER, DIMENSION(:),   INTENT(IN)  ::  bounds_end             !< end index per dimension of variable
     INTEGER, DIMENSION(:),   INTENT(IN)  ::  bounds_start           !< start index per dimension of variable
+
     INTEGER, DIMENSION(:),   ALLOCATABLE ::  bounds_origin          !< first index of each dimension
     INTEGER, DIMENSION(:),   ALLOCATABLE ::  bounds_start_internal  !< start index per dim. for output after masking
@@ -1604,17 +1629,4 @@
     INTEGER(iwp),    POINTER, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_intwp_3d            !< output variable
 
-    INTEGER(KIND=1), TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_int8_1d_resorted    !< resorted output variable
-    INTEGER(KIND=2), TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_int16_1d_resorted   !< resorted output variable
-    INTEGER(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_int32_1d_resorted   !< resorted output variable
-    INTEGER(iwp),    TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_intwp_1d_resorted   !< resorted output variable
-    INTEGER(KIND=1), TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_int8_2d_resorted    !< resorted output variable
-    INTEGER(KIND=2), TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_int16_2d_resorted   !< resorted output variable
-    INTEGER(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_int32_2d_resorted   !< resorted output variable
-    INTEGER(iwp),    TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_intwp_2d_resorted   !< resorted output variable
-    INTEGER(KIND=1), TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_int8_3d_resorted    !< resorted output variable
-    INTEGER(KIND=2), TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_int16_3d_resorted   !< resorted output variable
-    INTEGER(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_int32_3d_resorted   !< resorted output variable
-    INTEGER(iwp),    TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_intwp_3d_resorted   !< resorted output variable
-
     INTEGER(KIND=1), POINTER                                         ::  values_int8_0d_pointer     !< pointer to resortet array
     INTEGER(KIND=2), POINTER                                         ::  values_int16_0d_pointer    !< pointer to resortet array
@@ -1634,4 +1646,17 @@
     INTEGER(iwp),    POINTER, CONTIGUOUS, DIMENSION(:,:,:)           ::  values_intwp_3d_pointer    !< pointer to resortet array
 
+    INTEGER(KIND=1), TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_int8_1d_resorted    !< resorted output variable
+    INTEGER(KIND=2), TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_int16_1d_resorted   !< resorted output variable
+    INTEGER(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_int32_1d_resorted   !< resorted output variable
+    INTEGER(iwp),    TARGET, ALLOCATABLE, DIMENSION(:)               ::  values_intwp_1d_resorted   !< resorted output variable
+    INTEGER(KIND=1), TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_int8_2d_resorted    !< resorted output variable
+    INTEGER(KIND=2), TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_int16_2d_resorted   !< resorted output variable
+    INTEGER(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_int32_2d_resorted   !< resorted output variable
+    INTEGER(iwp),    TARGET, ALLOCATABLE, DIMENSION(:,:)             ::  values_intwp_2d_resorted   !< resorted output variable
+    INTEGER(KIND=1), TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_int8_3d_resorted    !< resorted output variable
+    INTEGER(KIND=2), TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_int16_3d_resorted   !< resorted output variable
+    INTEGER(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_int32_3d_resorted   !< resorted output variable
+    INTEGER(iwp),    TARGET, ALLOCATABLE, DIMENSION(:,:,:)           ::  values_intwp_3d_resorted   !< resorted output variable
+
     REAL(KIND=4), POINTER, INTENT(IN), OPTIONAL                      ::  values_real32_0d           !< output variable
     REAL(KIND=8), POINTER, INTENT(IN), OPTIONAL                      ::  values_real64_0d           !< output variable
@@ -1647,14 +1672,4 @@
     REAL(wp),     POINTER, INTENT(IN), OPTIONAL, DIMENSION(:,:,:)    ::  values_realwp_3d           !< output variable
 
-    REAL(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:)                  ::  values_real32_1d_resorted  !< resorted output variable
-    REAL(KIND=8), TARGET, ALLOCATABLE, DIMENSION(:)                  ::  values_real64_1d_resorted  !< resorted output variable
-    REAL(wp),     TARGET, ALLOCATABLE, DIMENSION(:)                  ::  values_realwp_1d_resorted  !< resorted output variable
-    REAL(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:,:)                ::  values_real32_2d_resorted  !< resorted output variable
-    REAL(KIND=8), TARGET, ALLOCATABLE, DIMENSION(:,:)                ::  values_real64_2d_resorted  !< resorted output variable
-    REAL(wp),     TARGET, ALLOCATABLE, DIMENSION(:,:)                ::  values_realwp_2d_resorted  !< resorted output variable
-    REAL(KIND=4), TARGET, ALLOCATABLE, DIMENSION(:,:,:)              ::  values_real32_3d_resorted  !< resorted output variable
-    REAL(KIND=8), TARGET, ALLOCATABLE, DIMENSION(:,:,:)              ::  values_real64_3d_resorted  !< resorted output variable
-    REAL(wp),     TARGET, ALLOCATABLE, DIMENSION(:,:,:)              ::  values_realwp_3d_resorted  !< resorted output variable
-
     REAL(KIND=4), POINTER                                            ::  values_real32_0d_pointer   !< pointer to resortet array
     REAL(KIND=8), POINTER                                            ::  values_real64_0d_pointer   !< pointer to resortet array
